package com.zksy.property.service.impl;

import com.zksy.property.service.ASimplifiedHouseInfoService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import static org.junit.jupiter.api.Assertions.assertThrows;

@SpringBootTest
class ASimplifiedHouseInfoServiceImplTest {

    @Autowired
    private ASimplifiedHouseInfoService simplifiedHouseInfoService;
    @Test
    void test(){
        simplifiedHouseInfoService.getHouseDetailInfo("35c10d2b4be0a7eee74300b759e0efcf");
        assertThrows(RuntimeException.class, () -> {
            simplifiedHouseInfoService.getHouseDetailInfo("12321321321");
        });
        simplifiedHouseInfoService.getHouseDetailInfo("637a5298e3a076ab80fd695f5435a3a9");
        simplifiedHouseInfoService.getHouseDetailInfo("45371d4140ccb8347c8f9b1dae03e7b9");
    }

}